Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_storage_get_contexts

## Name

librdf_storage_get_contexts -- return the list of contexts in the store

## Synopsis

``librdf_iterator* `librdf_storage_get_contexts`` (librdf_storage* `storage`);`

## Arguments

`storage`

  librdf_storage object

## Description

Returns an iterator of librdf_node context nodes for each context in the store.

## Return value

librdf_iterator of context nodes or NULL on failure or if contexts are not supported

<<< Previous | Home | Next >>>
librdf_storage_find_statements_in_context | Up | librdf_storage_get_feature